%define distrib UPLOS
%define version 2017
%define rel 1
%define distname UPLOS
%define distsuffix uplos
%define distribution UPLOS

%define product_vendor UPLOS
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%define product_branch Stable
%define product_release 2017
%define product_arch %{_target_cpu}
%define product_product Free

%define product_id vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch,product=%product_product

#Maintain backwards compatibility here
%define uplos_release %version
%define uplos_branch %distrib
%define uplos_arch %_target_cpu
%define uplos_os %_target_os
%define realversion %version
%define mdkver %(echo %version)00
%define macrofile %build_sysmacrospath

Summary:	UPLOS release file
Name:		uplos-release
Version:	%version
Release:	%mkrel %rel
License:	GPL
URL:		http://www.pclinuxos.com/
Group:		System/Configuration/Other
Source:		%name.tar.xz
Source1:	10%name.sh
Source2:	10%name.csh
Obsoletes:	rawhide-release redhat-release mandrake-release mandrakelinux-release mandriva-release mandriva-release-One pclinuxos-release 
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release mandriva-release mandriva-release-One pclinuxos-release uplos-release


%description
UPLOS Linux release file.

%prep
%setup -q -n %{name}

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/etc
echo "UPLOS release %{realversion} (%{distrib}) for %{_target_cpu}" > $RPM_BUILD_ROOT/etc/uplos-release
#ln -sf pclinuxos-release $RPM_BUILD_ROOT/etc/redhat-release
#ln -sf pclinuxos-release $RPM_BUILD_ROOT/etc/mandrake-release
#ln -sf pclinuxos-release $RPM_BUILD_ROOT/etc/release
#ln -sf pclinuxos-release $RPM_BUILD_ROOT/etc/mandrakelinux-release
#ln -sf pclinuxos-release $RPM_BUILD_ROOT/etc/mandriva-release
ln -sf uplos-release $RPM_BUILD_ROOT/etc/release
echo "%{version} %{rel} %{distname}" > $RPM_BUILD_ROOT/etc/version

cat > %buildroot/etc/product.id << EOF
%product_id
EOF

mkdir -p %buildroot%_sys_macros_dir
cat > %buildroot%macrofile <<EOF
%%distribution      %distribution
%%uplos_release  %uplos_release
%%uplos_branch   %uplos_branch
%%uplos_arch     %uplos_arch
%%uplos_os       %uplos_os
%%uplos_class    %%(. %_sysconfdir/sysconfig/system; echo \$META_CLASS)
%%mdkver            %mdkver
%%mdvver            %mdkver
%%mdkversion        %mdkver
%%distsuffix        %distsuffix

# productid variable
%%product_id %product_id

%%product_vendor        %product_vendor
%%product_distribution  %product_distribution
%%product_type          %product_type
%%product_version       %product_version
%%product_branch        %product_branch
%%product_release       %product_release
%%product_arch          %product_arch
%%product_product       %product_product

%{?unstable}
EOF

##temp hack make the rpmbuild system happy
ln -sf %macrofile $RPM_BUILD_ROOT/etc/rpm/macros.d/uplos-release.macros

mkdir -p %buildroot/etc/sysconfig
cat > %buildroot/etc/sysconfig/system <<EOF
CLASS=beginner
SECURITY=3
LIBSAFE=no
META_CLASS=desktop
EOF

mkdir -p %buildroot%_sysconfdir/profile.d
install -m755 %SOURCE1 %SOURCE2 %buildroot%_sysconfdir/profile.d


%clean
rm -rf $RPM_BUILD_ROOT


%pre
rm -rf /etc/sysconfig/system

%posttrans
if [ ! -f /etc/sysconfig/system ]; then
cat > /etc/sysconfig/system <<EOF
CLASS=beginner
SECURITY=3
LIBSAFE=no
META_CLASS=desktop
EOF
fi

%files
%defattr(-,root,root)
%doc CREDITS release-notes.txt
#/etc/mandrake-release
#/etc/mandrakelinux-release
#/etc/redhat-release
#/etc/mandriva-release
/etc/uplos-release
/etc/release
/etc/version
/etc/product.id
/etc/profile.d/10%name.sh
/etc/profile.d/10%name.csh
/etc/sysconfig/system
/etc/rpm/macros.d/uplos-release.macros
%macrofile



%changelog
* Mon Jan 16 2017 adrianomorselli <adrianomorselli> 2017-1uplos2017
- update to 2017

* Fri Dec 11 2015 pp <pp> 2016-1pclos2016
- update to 2016

* Sun Dec 21 2014 Pinoc <vogtpet at gmail.com> 2015-1pclos2015
- update to 2015

* Sat Dec 21 2013 Pinoc <vogtpet at gmail.com> 2014-1pclos2014
- update to 2014

* Sat Dec 22 2012 Pinoc <vogtpet at gmail.com> 2013-1pclos2013
- update to 2013

* Thu Jan 05 2012 Pinoc <vogtpet at gmail.com> 2012-1pclos2012
- update to 2012 and corrected spec-file name

* Thu Jun 23 2011 Texstar <texstar at gmail.com> 2011-2pclos2011
- make sure /etc/sysconfig/system is installed

* Fri Jun 03 2011 Texstar <Texstar at gmail.com> 2011-1pclos2011
- update

* Fri Oct 02 2009 Texstar <texstar at gmail.com> 2010-1pclos2010
- update

* Tue Apr 21 2009 pcserver <pcserver@hushmail.com> 2009-1pclos2009
- rebuild

* Tue Feb 27 2007 ocilent1 <ocilent1 at gmail dot com> 2007-1pclos2007
- prepare for final PCLinuxOS2007 release.
- define 'product_branch Stable'
- define 'product_release 2007'
- fix /etc/version version
- rename sources 1 and 2
- drop distro.txt README.urpmi from docs
- drop Icon:

* Thu Oct 26 2006 ocilent1 <ocilent1 at gmail dot com> 0.17pclos2007
- add %%mdkversion define

* Sun Oct 22 2006 ocilent1 <ocilent1 at gmail dot com> 0.16pclos2007
- add Provides: / Obsoletes: mandriva-release-One

* Sat Sep 23 2006 ocilent1 <ocilent1 at gmail dot com> 0.15pclos2007
- define 'mdkver 200700' (temp fix for some misc rpm builds)
- define 'product_release 0.94'

* Mon Sep 11 2006 ocilent1 <ocilent1 at gmail dot com> 0.14pclos2007
- Update release for rebase
